RP_ADD_BYTES(3)

FUNCTION
rp_add_bytes - Add bytes (entropy) to a random pool.

SYNOPSIS
#include <karma_rp.h>

void rp_add_bytes

(RandPool rp, CONST unsigned char *buf, unsigned int length)

DESCRIPTION
This routine will add bytes of data (entropy) into a pool. The pool is then stirred using its registered hash function in order to distribute the bits.

rp  The random pool.

buf The bytes to add to the pool.

length
    The number of bytes to add to the pool.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/